Bug 752640 - Remove dependencies Makefile::Parser
Remove dependencies Makefile::Parser
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-09 21:10 EST by Misty Stanley-Jones
Modified: 2014-06-18 03:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Misty Stanley-Jones 2011-11-09 21:10:03 EST
ImageMagick and Makefile::Parser are both included for legacy reasons and they make packaging for a new platform non-trivial.
Comment 1 Jeff Fearn 2011-11-09 21:51:22 EST
Removed old2new action and associated Makefile deps.

Applied changes to branches/publican-2x and trunk.

Committed revision 1938.
Comment 2 Martin Prpic 2012-04-24 13:15:39 EDT
Verified on Fedora 16!

Previously:

~]$ rpm -q publican
publican-2.8-1.fc15.noarch 
~]$ rpm -qR publican | grep Makefile
perl(Makefile::Parser)  


Now:

~]$ rpm -q publican
publican-3.0-0.fc16.t166.noarch
~]$ rpm -qR publican | grep Makefile
~]$

Note You need to log in before you can comment on or make changes to this bug.